def can_form_correct_dice(numbers):
    # Сохраняем все возможные суммы пар
    sums = {}
    
    # Генерируем все пары и их суммы
    for i in range(6):
        for j in range(i + 1, 6):
            pair_sum = numbers[i] + numbers[j]
            if pair_sum in sums:
                sums[pair_sum].append((i, j))
            else:
                sums[pair_sum] = [(i, j)]
    
    # Проверяем, можем ли выбрать три непересекающиеся пары
    for pair_sum, pairs in sums.items():
        if len(pairs) < 3:
            continue
        
        # Проверяем все комбинации пар
        for i in range(len(pairs)):
            for j in range(i + 1, len(pairs)):
                for k in range(j + 1, len(pairs)):
                    # Проверяем, пересекаются ли пары
                    if (len(set(pairs[i]) & set(pairs[j])) == 0 and
                        len(set(pairs[i]) & set(pairs[k])) == 0 and
                        len(set(pairs[j]) & set(pairs[k])) == 0):
                        return "yes"
    
    return "no"

# Чтение входных данных
n = int(input())
results = []
for _ in range(n):
    numbers = list(map(int, input().split()))
    results.append(can_form_correct_dice(numbers))

# Вывод результатов
for result in results:
    print(result)
